The Egress Client for Windows supports both 32 and 64-bit versions of Windows 7/8/10

 We recommend you always use the latest version available which is currently v5.14

Please find the Outlook version compatibility table below: 

Outlook Version Egress Client Version
2010 v4.26 and higher
2013 v4.26 and higher
2016 v4.62 and higher

Please note versions below 4.51 are no longer supported.



Have more questions? Submit a request